---
title: "Les classes, les méthodes"
weight: 9  
output:
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<div id="exemple" class="section level3">
<h3>Exemple</h3>
<p>La fonction max peut s’appliquer à des objets de classes différentes.</p>
<pre class="r"><code>max(&#39;Bonjour&#39;,&quot;Au revoir&quot;)</code></pre>
<pre><code>## [1] &quot;Bonjour&quot;</code></pre>
<pre class="r"><code>max(1,2)</code></pre>
<pre><code>## [1] 2</code></pre>
<pre class="r"><code>max(T,F)</code></pre>
<pre><code>## [1] 1</code></pre>
<pre class="r"><code>class(1)</code></pre>
<pre><code>## [1] &quot;numeric&quot;</code></pre>
<pre class="r"><code>class(&#39;Bonjour&#39;)</code></pre>
<pre><code>## [1] &quot;character&quot;</code></pre>
<pre class="r"><code>class(T)</code></pre>
<pre><code>## [1] &quot;logical&quot;</code></pre>
<ul>
<li><p>En fait deux fonctions différentes ont été programmées. Selon la classe des arguments, R utilise l’une ou l’autre.</p></li>
<li><p>Certaines fonctions sont spécifiques à certaines classes, l’exécution du code suivant renvoie un message d’erreur</p></li>
</ul>
<pre class="r"><code>cos(&#39;a&#39;)</code></pre>
</div>
